/* Menu Styling */
.page-menu-settings-menu {
    text-align: right;
    flex: auto;
}

.page-menu-settings-menu .has-submenu {
    padding: 0;
}

.page-menu-settings-menu #options-toggler {
    min-height: 34px;
    min-width: 34px;
    width: auto;
    justify-content: center;
    display: flex;
    align-items: center;
}

.page-menu-settings-menu img.menu-icon {
    max-width: 100%;
    max-height: 100%;
    cursor: pointer;
    vertical-align: middle;
    opacity: 0.8;
    filter: alpha(opacity=80);
}

.page-menu-settings-menu .open img.menu-icon {
    opacity: 1;
    filter: alpha(opacity=100);
}

.page-menu-settings-menu:hover img.menu-icon {
    opacity: 1;
    filter: alpha(opacity=100);
}

.page-menu-settings-menu ul {
    background: #fff;
    padding: 2px 0 1px;
    border: 1px solid rgba(240, 240, 240, 0.8);
    box-shadow: 0 1px 1px #aaa;
    min-width: 120px;
    font-size: var(--fs-body);
}

.page-menu-settings-menu ul li {
    padding: 4px 10px;
    margin-bottom: 1px;
    white-space: nowrap;
}

.page-menu-settings-menu ul li:hover,
.page-menu-settings-menu ul li:focus-within {
    background: #f5f5f5;
    cursor: default;
}

.page-menu-settings-menu ul a:is(*, :visited) {
    color: inherit;
    font-weight: inherit;
    text-decoration: none;
}

.page-menu-settings-menu .dropdown-menu .divider {
    margin: 2px 0;
    background-color: #e5e5e5;
}

.page-menu-settings-menu ul li {
    padding: 0;
    position: relative;
}

.page-menu-settings-menu ul li.linkContainer a,
.page-menu-settings-menu ul li.linkContainer span,
.page-menu-settings-menu ul li a {
    cursor: pointer;
    display: block;
    padding: 4px 10px;
    text-decoration: none !important;
}

.page-menu-settings-menu ul li.linkContainer.disabled a {
    cursor: default;
    pointer-events: none;
}

.page-menu-settings-menu ul li.linkContainer span {
    cursor: default;
}

.page-menu-settings-menu ul li a.toggleLink span {
    padding-left: 10px;
}

.page-menu-settings-menu ul a:hover {
    text-decoration: underline;
}

.page-menu-settings-menu ul li a.toggleLink.selected {
    cursor: default;
}
